unit SampleTB;

interface

uses {$IFDEF WIN32}WIndows, ComCtrls, {$ELSE}WinTypes, WinProcs, {$ENDIF}
  Messages, Classes, SysUtils, Graphics, Controls,
  Forms, Dialogs, Tabs, StdCtrls, Buttons, ExtCtrls, Grids,
  HLTbNtBk, HLTabs;

type
  TForm1 = class(TForm)
    Button1: TButton;
    HLTabbedNotebook1: THLTabbedNotebook;
    Memo1: TMemo;
    Button2: TButton;
    Edit1: TEdit;
    Memo2: TMemo;
    TabSet1: TTabSet;
    BitBtn1: TBitBtn;
    TabSet2: TTabSet;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TabSet1MeasureTab(Sender: TObject; Index: Integer;
      var TabWidth: Integer);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  HLTabbedNoteBook1.Pages := Memo1.Lines;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  HLTabbedNoteBook1.Pages.Add('Tmp');
end;

procedure TForm1.TabSet1MeasureTab(Sender: TObject; Index: Integer;
  var TabWidth: Integer);
begin
  ShowMessage(IntToStr(TabSet1.Height));
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  HLTabbedNotebook1.TabFont.Size := 12;
end;

end.
